Test::Options Class Reference

Commandline options. More...

`#include <test.hh>`

## Public Member Functions

| Options (void)
| Initialize options with defaults.
void | parse (int argc, char *argv[])
| Parse commandline arguments.

## Public Attributes

unsigned int | seed
| The random seed to be used.
unsigned int | iter
| Number of iterations for each test.
unsigned int | fixprob
| The probability for computing a fixpoint.
bool | stop
| Whether to stop on an error.
bool | log
| Whether to log the tests.

## Static Public Attributes

static const int | defiter = 5
| Default number of iterations.
static const unsigned int | deffixprob = 10
| Default fixpoint probaibility.

## Detailed Description

Commandline options.

Definition at line 76 of file test.hh.

## Constructor & Destructor Documentation

## Options()

Test::Options::Options | ( | void |  | ) |

inline

Initialize options with defaults.

Definition at line 41 of file test.hpp.

## Member Function Documentation

## parse()

void Test::Options::parse | ( | int | argc,
|  | char * | argv[] )

Parse commandline arguments.

Definition at line 120 of file test.cpp.

## Member Data Documentation

## seed

unsigned int Test::Options::seed

The random seed to be used.

Definition at line 79 of file test.hh.

## iter

unsigned int Test::Options::iter

Number of iterations for each test.

Definition at line 81 of file test.hh.

## defiter

const int Test::Options::defiter = 5

static

Default number of iterations.

Definition at line 83 of file test.hh.

## fixprob

unsigned int Test::Options::fixprob

The probability for computing a fixpoint.

Definition at line 85 of file test.hh.

## deffixprob

const unsigned int Test::Options::deffixprob = 10

static

Default fixpoint probaibility.

Definition at line 87 of file test.hh.

## stop

bool Test::Options::stop

Whether to stop on an error.

Definition at line 89 of file test.hh.

## log

bool Test::Options::log

Whether to log the tests.

Definition at line 91 of file test.hh.

The documentation for this class was generated from the following files:

- test/test.hh
- test/test.cpp
- test/test.hpp